@variants responsive {
  /* animation-duration */
  .animation-fastest {
    animation-duration: var(--duration-fastest);
  }
  .animation-faster {
    animation-duration: var(--duration-faster);
  }
  .animation-fast {
    animation-duration: var(--duration-fast);
  }
  .animation-medium {
    animation-duration: var(--duration-medium);
  }
  .animation-slow {
    animation-duration: var(--duration-slow);
  }
  .animation-slower {
    animation-duration: var(--duration-slower);
  }
  .animation-slowest {
    animation-duration: var(--duration-slowest);
  }

  /* animation-timing-function */
  .animation-linear {
    animation-timing-function: var(--linear);
  }
  .animation-ease-in {
    animation-timing-function: var(--ease-in);
  }
  .animation-ease-out {
    animation-timing-function: var(--ease-out);
  }
  .animation-ease-in-out {
    animation-timing-function: var(--ease-in-out);
  }

  /* animation-direction */
  .animation-normal {
    animation-direction: normal;
  }
  .animation-reverse {
    animation-direction: reverse;
  }
  .animation-alternate {
    animation-direction: alternate;
  }
  .animation-alternate-reverse {
    animation-direction: alternate-reverse;
  }

  /* animation-fill-mode */
  .animation-fill-none {
    animation-fill-mode: none;
  }
  .animation-fill-forwards {
    animation-fill-mode: forwards;
  }
  .animation-fill-backwards {
    animation-fill-mode: backwards;
  }
  .animation-fill-both {
    animation-fill-mode: both;
  }
}